Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.connector.meta.jdbc
Class JdbcMetadataRepository

    java.lang.Object
      org.modeshape.graph.connector.base.Repository<PathNode,org.modeshape.connector.meta.jdbc.JdbcMetadataWorkspace>
          org.modeshape.connector.meta.jdbc.JdbcMetadataRepository

    @ThreadSafe
    public class JdbcMetadataRepository

extends Repository<PathNode,org.modeshape.connector.meta.jdbc.JdbcMetadataWorkspace>

Nested Class Summary
`protected class` | `JdbcMetadataRepository.JdbcMetadataTransaction`

Field Summary
`static String` | `PROCEDURES_SEGMENT_NAME`
`static String` | `TABLES_SEGMENT_NAME`

Fields inherited from class org.modeshape.graph.connector.base.Repository
`context, rootNodeUuid`

Constructor Summary
`JdbcMetadataRepository(JdbcMetadataSource source)`

Method Summary
`protected void` | `initialize()` Initializes the repository by creating the default workspace.
`JdbcMetadataRepository.JdbcMetadataTransaction` | `startTransaction(ExecutionContext context, boolean readonly)` Begin a transaction, hinting whether the transaction will be used only to read the content.

Methods inherited from class org.modeshape.graph.connector.base.Repository
`createRequestProcessor, createWorkspace, destroyWorkspace, getContext, getDefaultWorkspaceName, getRootNodeUuid, getSourceName, getWorkspace, getWorkspaceNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TABLES_SEGMENT_NAME

    public static final String TABLES_SEGMENT_NAME

See Also:
  Constant Field Values

### PROCEDURES_SEGMENT_NAME

    public static final String PROCEDURES_SEGMENT_NAME

See Also:
  Constant Field Values

Constructor Detail

### JdbcMetadataRepository

    public JdbcMetadataRepository(JdbcMetadataSource source)

Method Detail

### initialize

    protected void initialize()

  Description copied from class: `Repository`
  Initializes the repository by creating the default workspace.

  Due to the ordering restrictions on constructor chaining, this method cannot be called until the repository is fully initialized. This method MUST be called at the end of the constructor by any class that implements `MapRepository` .

  Overrides:
    `initialize` in class `Repository<PathNode,org.modeshape.connector.meta.jdbc.JdbcMetadataWorkspace>`

### startTransaction

    public JdbcMetadataRepository.JdbcMetadataTransaction startTransaction(ExecutionContext context,
                                                                           boolean readonly)

  Description copied from class: `Repository`
  Begin a transaction, hinting whether the transaction will be used only to read the content. If this is called, then the transaction must be either `committed` or `rolled back`.

  Specified by:
    `startTransaction` in class `Repository<PathNode,org.modeshape.connector.meta.jdbc.JdbcMetadataWorkspace>`
  Parameters:
    `context` - the context in which the transaction is to be performed; may not be null
    `readonly` - true if the transaction will not modify any content, or false if changes are to be made
  Returns:
    the transaction; never null
  See Also:
    `Transaction.commit()`, `Transaction.rollback()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.